Retrieves a list of video statistics that match the API request parameters.
Quota impact: A call to this method has a quota cost of 1 unit.
Request
HTTP request
GET https://www.googleapis.com/youtube/v3/videos:batchGetStats
Authorization
Authentication is required to use this method against non-public videos, but is not required for public videos. If authorization is provided, the request must be authorized with at least one of the following scopes (read more about authentication and authorization).
| Scope |
|---|
https://www.googleapis.com/auth/youtubepartner |
https://www.googleapis.com/auth/youtube |
https://www.googleapis.com/auth/youtube.force-ssl |
https://www.googleapis.com/auth/youtube.readonly |
Parameters
The following table lists the parameters that this query supports. All of the parameters listed are query parameters.
| Parameters | ||
|---|---|---|
| Required parameters | ||
id |
stringThe id parameter specifies a comma-separated list of the YouTube video ID(s) for the resource(s) that are being retrieved. In a videoStat resource, the id property specifies the video's ID. |
|
part |
stringThe part parameter specifies a comma-separated list of one or more videoStat resource properties that the API response will include.The following list contains the part names that you can include in the parameter value:
|
|
| Optional parameters | ||
onBehalfOfContentOwner |
stringThis parameter can only be used in a properly authorized request. Note: This parameter is intended exclusively for YouTube content partners. The onBehalfOfContentOwner parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. |
|
Request body
Do not provide a request body when calling this method.
Response
If successful, this method returns a response body with the following structure:
{
"kind": "youtube#batchGetStatsResponse",
"etag": etag,
"items": [
{
"kind": "youtube#videoStats",
"etag": etag,
"id": string,
"snippet": {
"publishTime": datetime
},
"statistics": {
"viewCount": unsigned long,
"likeCount": unsigned long,
"commentCount": unsigned long
},
"contentDetails": {
"duration": string,
"durationMillis": unsigned long
}
}
],
"summary": {
"requestedVideoCount": unsigned long,
"succeededVideoCount": unsigned long,
"failedVideoCount": unsigned long,
"failedVideoIds": [
string
]
}
}Properties
The following table defines the properties that appear in this resource:
| Properties | |
|---|---|
kind |
stringIdentifies the API resource's type. The value will be youtube#batchGetStatsResponse. |
etag |
etagThe Etag of this resource. |
items[] |
listA list of video statistics that match the request criteria. |
items[].id |
stringThe ID that YouTube uses to uniquely identify the video. |
items[].snippet.publishTime |
datetimeThe date and time that the video was uploaded. |
items[].statistics.viewCount |
unsigned longThe number of times the video has been viewed. |
items[].statistics.likeCount |
unsigned longThe number of users who have indicated that they liked the video. |
items[].statistics.commentCount |
unsigned longThe number of comments for the video. |
items[].contentDetails.duration |
stringThe length of the video. |
items[].contentDetails.durationMillis |
unsigned longThe length of the video in milliseconds. |
summary |
objectSummary of the batchGetStats request. |
summary.requestedVideoCount |
unsigned longThe number of videos requested. |
summary.succeededVideoCount |
unsigned longThe number of videos that succeeded. |
summary.failedVideoCount |
unsigned longThe number of videos that failed. |
summary.failedVideoIds[] |
listThe video ids that failed. |
Errors
The API does not define any error messages that are unique to this API method. However, this method could still return general API errors listed in the error message documentation.